%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-remoting-jmx
Version:        2.0.0
Release:        1%{?dist}
Summary:        JMX via JBoss Remoting
License:        LGPLv2+
URL:            http://www.jboss.org/
Source0:        https://github.com/jbossas/remoting-jmx/archive/%{namedversion}.tar.gz

BuildRequires: jboss-parent
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-dependency-plugin
BuildRequires: maven-ear-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-ejb-plugin
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting >= 3.2.2-1
BuildRequires: jboss-sasl
BuildRequires: xnio

BuildArch:     noarch

%description
Library for making JMX accessible using Remoting

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n remoting-jmx-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc COPYING.txt
%doc README

%files javadoc -f .mfiles-javadoc
%doc COPYING.txt

%changelog
* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-1
- Upstream release 2.0.0.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.4.Beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 11 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.3.Beta2
- Upstream release 2.0.0.Beta2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.1.Beta1
- Upstream release 2.0.0.Beta1
- New guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.5-1
- Upstream release 1.0.5.Final

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.2-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-4
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-2
- Added license files to packages

* Thu Feb 16 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Upstream release 1.0.2.Final

* Thu Feb 16 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

